Subject: Re: bug#7325: new test failure due to non-portability of printf formats like %05.3s

From: Jim Meyering <[email-masked]>
Date: Sat, 13 Nov 2010 19:03:30 +0100

Paul Eggert wrote:

> On 11/13/2010 02:45 AM, Jim Meyering wrote:
>
>> Here's what I'm planning.
>
> Looks good, thanks, except for NEWS:
>
>> +  a nanosecond-precision floating point time stamp for %X use %.X;
>
> It's fixed-point, not floating point, so I'd remove "floating point".
>
> And in coreutils.texi:
>
>> +precision, @command{stat} uses 9 digits, so @samp{%.X} is equivalent to
>> +@samp{%.9X}  When discarding excess precision, time stamps are truncated
>
> There's a period missing after the "@samp{%.9X}" (though ideally the sentence
> would be reworded so as to avoid the need for any period after the sample,
> as the "%.9X." looks bad when it's printed).

Thanks.  Unfortunately, I received this about 20 minutes
too late to make those changes for the release.